Skip to content
Start here

Replace Connector or Re-provision License Key

client.MagicTransit.Connectors.Update(ctx, connectorID, params) (*ConnectorUpdateResponse, error)
PUT/accounts/{account_id}/magic/connectors/{connector_id}

Replace Connector or Re-provision License Key

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN Write
ParametersExpand Collapse
connectorID string
params ConnectorUpdateParams
AccountID param.Field[string]

Path param: Account identifier

maxLength32
Activated param.Field[bool]optional

Body param

InterruptWindowDaysOfWeek param.Field[[]ConnectorUpdateParamsInterruptWindowDaysOfWeek]optional

Body param: Allowed days of the week for upgrades. Default is all days.

const ConnectorUpdateParamsInterruptWindowDaysOfWeekSunday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Sunday"
const ConnectorUpdateParamsInterruptWindowDaysOfWeekMonday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Monday"
const ConnectorUpdateParamsInterruptWindowDaysOfWeekTuesday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Tuesday"
const ConnectorUpdateParamsInterruptWindowDaysOfWeekWednesday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Wednesday"
const ConnectorUpdateParamsInterruptWindowDaysOfWeekThursday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Thursday"
const ConnectorUpdateParamsInterruptWindowDaysOfWeekFriday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Friday"
const ConnectorUpdateParamsInterruptWindowDaysOfWeekSaturday ConnectorUpdateParamsInterruptWindowDaysOfWeek = "Saturday"
InterruptWindowDurationHours param.Field[float64]optional

Body param

maximum24
minimum1
InterruptWindowEmbargoDates param.Field[[]string]optional

Body param: List of dates (YYYY-MM-DD) when upgrades are blocked.

InterruptWindowHourOfDay param.Field[float64]optional

Body param

Notes param.Field[string]optional

Body param

ProvisionLicense param.Field[bool]optional

Body param: When true, regenerate license key for the connector.

Timezone param.Field[string]optional

Body param

ReturnsExpand Collapse
type ConnectorUpdateResponse struct{…}
ID string
Activated bool
InterruptWindowDaysOfWeek []ConnectorUpdateResponseInterruptWindowDaysOfWeek

Allowed days of the week for upgrades. Default is all days.

One of the following:
const ConnectorUpdateResponseInterruptWindowDaysOfWeekSunday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Sunday"
const ConnectorUpdateResponseInterruptWindowDaysOfWeekMonday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Monday"
const ConnectorUpdateResponseInterruptWindowDaysOfWeekTuesday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Tuesday"
const ConnectorUpdateResponseInterruptWindowDaysOfWeekWednesday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Wednesday"
const ConnectorUpdateResponseInterruptWindowDaysOfWeekThursday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Thursday"
const ConnectorUpdateResponseInterruptWindowDaysOfWeekFriday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Friday"
const ConnectorUpdateResponseInterruptWindowDaysOfWeekSaturday ConnectorUpdateResponseInterruptWindowDaysOfWeek = "Saturday"
InterruptWindowDurationHours float64
maximum24
minimum1
InterruptWindowEmbargoDates []string

List of dates (YYYY-MM-DD) when upgrades are blocked.

InterruptWindowHourOfDay float64
LastUpdated string
Notes string
Timezone string
Device ConnectorUpdateResponseDeviceoptional
ID string
SerialNumber stringoptional
LastHeartbeat stringoptional
LastSeenVersion stringoptional
LicenseKey stringoptional

Replace Connector or Re-provision License Key

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  connector, err := client.MagicTransit.Connectors.Update(
    context.TODO(),
    "connector_id",
    magic_transit.ConnectorUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", connector.ID)
}
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "activated": true,
    "interrupt_window_days_of_week": [
      "Sunday"
    ],
    "interrupt_window_duration_hours": 1,
    "interrupt_window_embargo_dates": [
      "string"
    ],
    "interrupt_window_hour_of_day": 0,
    "last_updated": "last_updated",
    "notes": "notes",
    "timezone": "timezone",
    "device": {
      "id": "id",
      "serial_number": "serial_number"
    },
    "last_heartbeat": "last_heartbeat",
    "last_seen_version": "last_seen_version",
    "license_key": "license_key"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "activated": true,
    "interrupt_window_days_of_week": [
      "Sunday"
    ],
    "interrupt_window_duration_hours": 1,
    "interrupt_window_embargo_dates": [
      "string"
    ],
    "interrupt_window_hour_of_day": 0,
    "last_updated": "last_updated",
    "notes": "notes",
    "timezone": "timezone",
    "device": {
      "id": "id",
      "serial_number": "serial_number"
    },
    "last_heartbeat": "last_heartbeat",
    "last_seen_version": "last_seen_version",
    "license_key": "license_key"
  },
  "success": true
}